Update customer organization
PATCH
/customer-organizations/{id}
const url = 'https://api.muninx.com/customer-organizations/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"display-name":"example","domains":["example"],"external-ref":"example","notes":"example","status":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.muninx.com/customer-organizations/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "display-name": "example", "domains": [ "example" ], "external-ref": "example", "notes": "example", "status": "example" }'Partially updates a customer organization inside the authenticated tenant organization. Only tenant admins can perform this operation. Domains must be unique across customer organizations in the tenant, with at most 5 domains per organization. Status must be active or suspended.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Customer Organization ID
Request Body required
Section titled “Request Body required ”Updates
Media type application/json
object
display-name
string
domains
Array<string>
external-ref
string
notes
string
status
string
Example generated
{ "display-name": "example", "domains": [ "example" ], "external-ref": "example", "notes": "example", "status": "example"}Responses
Section titled “ Responses ”Customer org updated
Media type application/json
string
Example generated
exampleProblem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}